Work order material logs
Update a work order material log
Partially updates specific fields of an existing work order material log without affecting the rest of the data.
Partially updates specific fields of an existing work order material log without affecting the rest of the data.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
WorkOrderMaterialLog identifier
Request Body
application/merge-patch+json
The updated WorkOrderMaterialLog resource
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.skalasuite.com/api/work_order_material_logs/string" \ -H "Content-Type: application/merge-patch+json" \ -d ''{
"id": 0,
"material": "/entity/1",
"workOrder": "/entity/1",
"plannedQuantity": "string",
"actualQuantity": "string",
"unitCost": "string",
"totalCost": "string",
"batch": "/entity/1",
"variant": "/entity/1",
"company": "/entity/1",
"createdBy": "/entity/1",
"updatedBy": "/entity/1",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z"
}Empty
Empty
Empty
